<?xml version="1.0" encoding="UTF-8"?><!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Strict//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-strict.dtd"><html xmlns="http://www.w3.org/1999/xhtml" lang="en"><head><meta http-equiv="Content-Type" content="text/html;charset=UTF-8"/><link rel="stylesheet" href="../jacoco-resources/report.css" type="text/css"/><link rel="shortcut icon" href="../jacoco-resources/report.gif" type="image/gif"/><title>CalculateCostCDR.java</title><link rel="stylesheet" href="../jacoco-resources/prettify.css" type="text/css"/><script type="text/javascript" src="../jacoco-resources/prettify.js"></script></head><body onload="window['PR_TAB_WIDTH']=4;prettyPrint()"><div class="breadcrumb" id="breadcrumb"><span class="info"><a href="../jacoco-sessions.html" class="el_session">Sessions</a></span><a href="../index.html" class="el_report">ProyectoArquitectura</a> &gt; <a href="index.source.html" class="el_package">useCases</a> &gt; <span class="el_source">CalculateCostCDR.java</span></div><h1>CalculateCostCDR.java</h1><pre class="source lang-java linenums">package useCases;

import java.util.List;

import data.ICDRRepository;
import data.IPhoneNumberRepository;
import Entities.CDR;
import Entities.Bill;
import Entities.Phone_Number;

public class CalculateCostCDR implements ICalculateCostCDR{

	ICDRRepository cdrRepository;
	IPhoneNumberRepository PhoneNumberRepository;
<span class="fc" id="L15">	public CalculateCostCDR(ICDRRepository cdrRepository,IPhoneNumberRepository PhoneNumberRepository) {</span>
<span class="fc" id="L16">		this.cdrRepository = cdrRepository;</span>
<span class="fc" id="L17">		this.PhoneNumberRepository = PhoneNumberRepository;</span>
<span class="fc" id="L18">	}</span>
	@Override
	public void CalculateCostForNewCDRs() {
<span class="fc" id="L21">		cdrRepository.calculateRateForAll(PhoneNumberRepository.getNumbers());</span>
<span class="fc" id="L22">	}</span>
	@Override
	public void SetData(List&lt;Phone_Number&gt; List_Numbers) {
<span class="fc" id="L25">		PhoneNumberRepository.loadPhonesNumbers(List_Numbers);</span>
<span class="fc" id="L26">	}</span>
	@Override
	public Bill getCostForClient(int PhoneNumber,String date) {
<span class="fc" id="L29">		return cdrRepository.getRateForClient(PhoneNumber,date);</span>
	}
}
</pre><div class="footer"><span class="right">Created with <a href="http://www.jacoco.org/jacoco">JaCoCo</a> 0.8.3.201901230119</span></div></body></html>